Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network9.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
9.167.0.0
Broadcast address
9.167.255.255
First usable
9.167.0.1
Last usable
9.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 09A70000 · Integer 161939456 to 162004991
Reverse DNS zone
167.9.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001001.10100111..00000000.000000009.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00001001.10100111..00000000.000000009.167.0.0
Broadcast00001001.10100111..11111111.111111119.167.255.255
Split into smaller subnets/28

9.167.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
19.167.0.0/289.167.0.1 to 9.167.0.149.167.0.1514
29.167.0.16/289.167.0.17 to 9.167.0.309.167.0.3114
39.167.0.32/289.167.0.33 to 9.167.0.469.167.0.4714
49.167.0.48/289.167.0.49 to 9.167.0.629.167.0.6314
59.167.0.64/289.167.0.65 to 9.167.0.789.167.0.7914
69.167.0.80/289.167.0.81 to 9.167.0.949.167.0.9514
79.167.0.96/289.167.0.97 to 9.167.0.1109.167.0.11114
89.167.0.112/289.167.0.113 to 9.167.0.1269.167.0.12714
99.167.0.128/289.167.0.129 to 9.167.0.1429.167.0.14314
109.167.0.144/289.167.0.145 to 9.167.0.1589.167.0.15914
119.167.0.160/289.167.0.161 to 9.167.0.1749.167.0.17514
129.167.0.176/289.167.0.177 to 9.167.0.1909.167.0.19114
139.167.0.192/289.167.0.193 to 9.167.0.2069.167.0.20714
149.167.0.208/289.167.0.209 to 9.167.0.2229.167.0.22314
159.167.0.224/289.167.0.225 to 9.167.0.2389.167.0.23914
169.167.0.240/289.167.0.241 to 9.167.0.2549.167.0.25514
179.167.1.0/289.167.1.1 to 9.167.1.149.167.1.1514
189.167.1.16/289.167.1.17 to 9.167.1.309.167.1.3114
199.167.1.32/289.167.1.33 to 9.167.1.469.167.1.4714
209.167.1.48/289.167.1.49 to 9.167.1.629.167.1.6314
219.167.1.64/289.167.1.65 to 9.167.1.789.167.1.7914
229.167.1.80/289.167.1.81 to 9.167.1.949.167.1.9514
239.167.1.96/289.167.1.97 to 9.167.1.1109.167.1.11114
249.167.1.112/289.167.1.113 to 9.167.1.1269.167.1.12714
259.167.1.128/289.167.1.129 to 9.167.1.1429.167.1.14314
269.167.1.144/289.167.1.145 to 9.167.1.1589.167.1.15914
279.167.1.160/289.167.1.161 to 9.167.1.1749.167.1.17514
289.167.1.176/289.167.1.177 to 9.167.1.1909.167.1.19114
299.167.1.192/289.167.1.193 to 9.167.1.2069.167.1.20714
309.167.1.208/289.167.1.209 to 9.167.1.2229.167.1.22314
319.167.1.224/289.167.1.225 to 9.167.1.2389.167.1.23914
329.167.1.240/289.167.1.241 to 9.167.1.2549.167.1.25514
339.167.2.0/289.167.2.1 to 9.167.2.149.167.2.1514
349.167.2.16/289.167.2.17 to 9.167.2.309.167.2.3114
359.167.2.32/289.167.2.33 to 9.167.2.469.167.2.4714
369.167.2.48/289.167.2.49 to 9.167.2.629.167.2.6314
379.167.2.64/289.167.2.65 to 9.167.2.789.167.2.7914
389.167.2.80/289.167.2.81 to 9.167.2.949.167.2.9514
399.167.2.96/289.167.2.97 to 9.167.2.1109.167.2.11114
409.167.2.112/289.167.2.113 to 9.167.2.1269.167.2.12714
419.167.2.128/289.167.2.129 to 9.167.2.1429.167.2.14314
429.167.2.144/289.167.2.145 to 9.167.2.1589.167.2.15914
439.167.2.160/289.167.2.161 to 9.167.2.1749.167.2.17514
449.167.2.176/289.167.2.177 to 9.167.2.1909.167.2.19114
459.167.2.192/289.167.2.193 to 9.167.2.2069.167.2.20714
469.167.2.208/289.167.2.209 to 9.167.2.2229.167.2.22314
479.167.2.224/289.167.2.225 to 9.167.2.2389.167.2.23914
489.167.2.240/289.167.2.241 to 9.167.2.2549.167.2.25514
499.167.3.0/289.167.3.1 to 9.167.3.149.167.3.1514
509.167.3.16/289.167.3.17 to 9.167.3.309.167.3.3114
519.167.3.32/289.167.3.33 to 9.167.3.469.167.3.4714
529.167.3.48/289.167.3.49 to 9.167.3.629.167.3.6314
539.167.3.64/289.167.3.65 to 9.167.3.789.167.3.7914
549.167.3.80/289.167.3.81 to 9.167.3.949.167.3.9514
559.167.3.96/289.167.3.97 to 9.167.3.1109.167.3.11114
569.167.3.112/289.167.3.113 to 9.167.3.1269.167.3.12714
579.167.3.128/289.167.3.129 to 9.167.3.1429.167.3.14314
589.167.3.144/289.167.3.145 to 9.167.3.1589.167.3.15914
599.167.3.160/289.167.3.161 to 9.167.3.1749.167.3.17514
609.167.3.176/289.167.3.177 to 9.167.3.1909.167.3.19114
619.167.3.192/289.167.3.193 to 9.167.3.2069.167.3.20714
629.167.3.208/289.167.3.209 to 9.167.3.2229.167.3.22314
639.167.3.224/289.167.3.225 to 9.167.3.2389.167.3.23914
649.167.3.240/289.167.3.241 to 9.167.3.2549.167.3.25514
659.167.4.0/289.167.4.1 to 9.167.4.149.167.4.1514
669.167.4.16/289.167.4.17 to 9.167.4.309.167.4.3114
679.167.4.32/289.167.4.33 to 9.167.4.469.167.4.4714
689.167.4.48/289.167.4.49 to 9.167.4.629.167.4.6314
699.167.4.64/289.167.4.65 to 9.167.4.789.167.4.7914
709.167.4.80/289.167.4.81 to 9.167.4.949.167.4.9514
719.167.4.96/289.167.4.97 to 9.167.4.1109.167.4.11114
729.167.4.112/289.167.4.113 to 9.167.4.1269.167.4.12714
739.167.4.128/289.167.4.129 to 9.167.4.1429.167.4.14314
749.167.4.144/289.167.4.145 to 9.167.4.1589.167.4.15914
759.167.4.160/289.167.4.161 to 9.167.4.1749.167.4.17514
769.167.4.176/289.167.4.177 to 9.167.4.1909.167.4.19114
779.167.4.192/289.167.4.193 to 9.167.4.2069.167.4.20714
789.167.4.208/289.167.4.209 to 9.167.4.2229.167.4.22314
799.167.4.224/289.167.4.225 to 9.167.4.2389.167.4.23914
809.167.4.240/289.167.4.241 to 9.167.4.2549.167.4.25514
819.167.5.0/289.167.5.1 to 9.167.5.149.167.5.1514
829.167.5.16/289.167.5.17 to 9.167.5.309.167.5.3114
839.167.5.32/289.167.5.33 to 9.167.5.469.167.5.4714
849.167.5.48/289.167.5.49 to 9.167.5.629.167.5.6314
859.167.5.64/289.167.5.65 to 9.167.5.789.167.5.7914
869.167.5.80/289.167.5.81 to 9.167.5.949.167.5.9514
879.167.5.96/289.167.5.97 to 9.167.5.1109.167.5.11114
889.167.5.112/289.167.5.113 to 9.167.5.1269.167.5.12714
899.167.5.128/289.167.5.129 to 9.167.5.1429.167.5.14314
909.167.5.144/289.167.5.145 to 9.167.5.1589.167.5.15914
919.167.5.160/289.167.5.161 to 9.167.5.1749.167.5.17514
929.167.5.176/289.167.5.177 to 9.167.5.1909.167.5.19114
939.167.5.192/289.167.5.193 to 9.167.5.2069.167.5.20714
949.167.5.208/289.167.5.209 to 9.167.5.2229.167.5.22314
959.167.5.224/289.167.5.225 to 9.167.5.2389.167.5.23914
969.167.5.240/289.167.5.241 to 9.167.5.2549.167.5.25514
979.167.6.0/289.167.6.1 to 9.167.6.149.167.6.1514
989.167.6.16/289.167.6.17 to 9.167.6.309.167.6.3114
999.167.6.32/289.167.6.33 to 9.167.6.469.167.6.4714
1009.167.6.48/289.167.6.49 to 9.167.6.629.167.6.6314
1019.167.6.64/289.167.6.65 to 9.167.6.789.167.6.7914
1029.167.6.80/289.167.6.81 to 9.167.6.949.167.6.9514
1039.167.6.96/289.167.6.97 to 9.167.6.1109.167.6.11114
1049.167.6.112/289.167.6.113 to 9.167.6.1269.167.6.12714
1059.167.6.128/289.167.6.129 to 9.167.6.1429.167.6.14314
1069.167.6.144/289.167.6.145 to 9.167.6.1589.167.6.15914
1079.167.6.160/289.167.6.161 to 9.167.6.1749.167.6.17514
1089.167.6.176/289.167.6.177 to 9.167.6.1909.167.6.19114
1099.167.6.192/289.167.6.193 to 9.167.6.2069.167.6.20714
1109.167.6.208/289.167.6.209 to 9.167.6.2229.167.6.22314
1119.167.6.224/289.167.6.225 to 9.167.6.2389.167.6.23914
1129.167.6.240/289.167.6.241 to 9.167.6.2549.167.6.25514
1139.167.7.0/289.167.7.1 to 9.167.7.149.167.7.1514
1149.167.7.16/289.167.7.17 to 9.167.7.309.167.7.3114
1159.167.7.32/289.167.7.33 to 9.167.7.469.167.7.4714
1169.167.7.48/289.167.7.49 to 9.167.7.629.167.7.6314
1179.167.7.64/289.167.7.65 to 9.167.7.789.167.7.7914
1189.167.7.80/289.167.7.81 to 9.167.7.949.167.7.9514
1199.167.7.96/289.167.7.97 to 9.167.7.1109.167.7.11114
1209.167.7.112/289.167.7.113 to 9.167.7.1269.167.7.12714
1219.167.7.128/289.167.7.129 to 9.167.7.1429.167.7.14314
1229.167.7.144/289.167.7.145 to 9.167.7.1589.167.7.15914
1239.167.7.160/289.167.7.161 to 9.167.7.1749.167.7.17514
1249.167.7.176/289.167.7.177 to 9.167.7.1909.167.7.19114
1259.167.7.192/289.167.7.193 to 9.167.7.2069.167.7.20714
1269.167.7.208/289.167.7.209 to 9.167.7.2229.167.7.22314
1279.167.7.224/289.167.7.225 to 9.167.7.2389.167.7.23914
1289.167.7.240/289.167.7.241 to 9.167.7.2549.167.7.25514
1299.167.8.0/289.167.8.1 to 9.167.8.149.167.8.1514
1309.167.8.16/289.167.8.17 to 9.167.8.309.167.8.3114
1319.167.8.32/289.167.8.33 to 9.167.8.469.167.8.4714
1329.167.8.48/289.167.8.49 to 9.167.8.629.167.8.6314
1339.167.8.64/289.167.8.65 to 9.167.8.789.167.8.7914
1349.167.8.80/289.167.8.81 to 9.167.8.949.167.8.9514
1359.167.8.96/289.167.8.97 to 9.167.8.1109.167.8.11114
1369.167.8.112/289.167.8.113 to 9.167.8.1269.167.8.12714
1379.167.8.128/289.167.8.129 to 9.167.8.1429.167.8.14314
1389.167.8.144/289.167.8.145 to 9.167.8.1589.167.8.15914
1399.167.8.160/289.167.8.161 to 9.167.8.1749.167.8.17514
1409.167.8.176/289.167.8.177 to 9.167.8.1909.167.8.19114
1419.167.8.192/289.167.8.193 to 9.167.8.2069.167.8.20714
1429.167.8.208/289.167.8.209 to 9.167.8.2229.167.8.22314
1439.167.8.224/289.167.8.225 to 9.167.8.2389.167.8.23914
1449.167.8.240/289.167.8.241 to 9.167.8.2549.167.8.25514
1459.167.9.0/289.167.9.1 to 9.167.9.149.167.9.1514
1469.167.9.16/289.167.9.17 to 9.167.9.309.167.9.3114
1479.167.9.32/289.167.9.33 to 9.167.9.469.167.9.4714
1489.167.9.48/289.167.9.49 to 9.167.9.629.167.9.6314
1499.167.9.64/289.167.9.65 to 9.167.9.789.167.9.7914
1509.167.9.80/289.167.9.81 to 9.167.9.949.167.9.9514
1519.167.9.96/289.167.9.97 to 9.167.9.1109.167.9.11114
1529.167.9.112/289.167.9.113 to 9.167.9.1269.167.9.12714
1539.167.9.128/289.167.9.129 to 9.167.9.1429.167.9.14314
1549.167.9.144/289.167.9.145 to 9.167.9.1589.167.9.15914
1559.167.9.160/289.167.9.161 to 9.167.9.1749.167.9.17514
1569.167.9.176/289.167.9.177 to 9.167.9.1909.167.9.19114
1579.167.9.192/289.167.9.193 to 9.167.9.2069.167.9.20714
1589.167.9.208/289.167.9.209 to 9.167.9.2229.167.9.22314
1599.167.9.224/289.167.9.225 to 9.167.9.2389.167.9.23914
1609.167.9.240/289.167.9.241 to 9.167.9.2549.167.9.25514
1619.167.10.0/289.167.10.1 to 9.167.10.149.167.10.1514
1629.167.10.16/289.167.10.17 to 9.167.10.309.167.10.3114
1639.167.10.32/289.167.10.33 to 9.167.10.469.167.10.4714
1649.167.10.48/289.167.10.49 to 9.167.10.629.167.10.6314
1659.167.10.64/289.167.10.65 to 9.167.10.789.167.10.7914
1669.167.10.80/289.167.10.81 to 9.167.10.949.167.10.9514
1679.167.10.96/289.167.10.97 to 9.167.10.1109.167.10.11114
1689.167.10.112/289.167.10.113 to 9.167.10.1269.167.10.12714
1699.167.10.128/289.167.10.129 to 9.167.10.1429.167.10.14314
1709.167.10.144/289.167.10.145 to 9.167.10.1589.167.10.15914
1719.167.10.160/289.167.10.161 to 9.167.10.1749.167.10.17514
1729.167.10.176/289.167.10.177 to 9.167.10.1909.167.10.19114
1739.167.10.192/289.167.10.193 to 9.167.10.2069.167.10.20714
1749.167.10.208/289.167.10.209 to 9.167.10.2229.167.10.22314
1759.167.10.224/289.167.10.225 to 9.167.10.2389.167.10.23914
1769.167.10.240/289.167.10.241 to 9.167.10.2549.167.10.25514
1779.167.11.0/289.167.11.1 to 9.167.11.149.167.11.1514
1789.167.11.16/289.167.11.17 to 9.167.11.309.167.11.3114
1799.167.11.32/289.167.11.33 to 9.167.11.469.167.11.4714
1809.167.11.48/289.167.11.49 to 9.167.11.629.167.11.6314
1819.167.11.64/289.167.11.65 to 9.167.11.789.167.11.7914
1829.167.11.80/289.167.11.81 to 9.167.11.949.167.11.9514
1839.167.11.96/289.167.11.97 to 9.167.11.1109.167.11.11114
1849.167.11.112/289.167.11.113 to 9.167.11.1269.167.11.12714
1859.167.11.128/289.167.11.129 to 9.167.11.1429.167.11.14314
1869.167.11.144/289.167.11.145 to 9.167.11.1589.167.11.15914
1879.167.11.160/289.167.11.161 to 9.167.11.1749.167.11.17514
1889.167.11.176/289.167.11.177 to 9.167.11.1909.167.11.19114
1899.167.11.192/289.167.11.193 to 9.167.11.2069.167.11.20714
1909.167.11.208/289.167.11.209 to 9.167.11.2229.167.11.22314
1919.167.11.224/289.167.11.225 to 9.167.11.2389.167.11.23914
1929.167.11.240/289.167.11.241 to 9.167.11.2549.167.11.25514
1939.167.12.0/289.167.12.1 to 9.167.12.149.167.12.1514
1949.167.12.16/289.167.12.17 to 9.167.12.309.167.12.3114
1959.167.12.32/289.167.12.33 to 9.167.12.469.167.12.4714
1969.167.12.48/289.167.12.49 to 9.167.12.629.167.12.6314
1979.167.12.64/289.167.12.65 to 9.167.12.789.167.12.7914
1989.167.12.80/289.167.12.81 to 9.167.12.949.167.12.9514
1999.167.12.96/289.167.12.97 to 9.167.12.1109.167.12.11114
2009.167.12.112/289.167.12.113 to 9.167.12.1269.167.12.12714
2019.167.12.128/289.167.12.129 to 9.167.12.1429.167.12.14314
2029.167.12.144/289.167.12.145 to 9.167.12.1589.167.12.15914
2039.167.12.160/289.167.12.161 to 9.167.12.1749.167.12.17514
2049.167.12.176/289.167.12.177 to 9.167.12.1909.167.12.19114
2059.167.12.192/289.167.12.193 to 9.167.12.2069.167.12.20714
2069.167.12.208/289.167.12.209 to 9.167.12.2229.167.12.22314
2079.167.12.224/289.167.12.225 to 9.167.12.2389.167.12.23914
2089.167.12.240/289.167.12.241 to 9.167.12.2549.167.12.25514
2099.167.13.0/289.167.13.1 to 9.167.13.149.167.13.1514
2109.167.13.16/289.167.13.17 to 9.167.13.309.167.13.3114
2119.167.13.32/289.167.13.33 to 9.167.13.469.167.13.4714
2129.167.13.48/289.167.13.49 to 9.167.13.629.167.13.6314
2139.167.13.64/289.167.13.65 to 9.167.13.789.167.13.7914
2149.167.13.80/289.167.13.81 to 9.167.13.949.167.13.9514
2159.167.13.96/289.167.13.97 to 9.167.13.1109.167.13.11114
2169.167.13.112/289.167.13.113 to 9.167.13.1269.167.13.12714
2179.167.13.128/289.167.13.129 to 9.167.13.1429.167.13.14314
2189.167.13.144/289.167.13.145 to 9.167.13.1589.167.13.15914
2199.167.13.160/289.167.13.161 to 9.167.13.1749.167.13.17514
2209.167.13.176/289.167.13.177 to 9.167.13.1909.167.13.19114
2219.167.13.192/289.167.13.193 to 9.167.13.2069.167.13.20714
2229.167.13.208/289.167.13.209 to 9.167.13.2229.167.13.22314
2239.167.13.224/289.167.13.225 to 9.167.13.2389.167.13.23914
2249.167.13.240/289.167.13.241 to 9.167.13.2549.167.13.25514
2259.167.14.0/289.167.14.1 to 9.167.14.149.167.14.1514
2269.167.14.16/289.167.14.17 to 9.167.14.309.167.14.3114
2279.167.14.32/289.167.14.33 to 9.167.14.469.167.14.4714
2289.167.14.48/289.167.14.49 to 9.167.14.629.167.14.6314
2299.167.14.64/289.167.14.65 to 9.167.14.789.167.14.7914
2309.167.14.80/289.167.14.81 to 9.167.14.949.167.14.9514
2319.167.14.96/289.167.14.97 to 9.167.14.1109.167.14.11114
2329.167.14.112/289.167.14.113 to 9.167.14.1269.167.14.12714
2339.167.14.128/289.167.14.129 to 9.167.14.1429.167.14.14314
2349.167.14.144/289.167.14.145 to 9.167.14.1589.167.14.15914
2359.167.14.160/289.167.14.161 to 9.167.14.1749.167.14.17514
2369.167.14.176/289.167.14.177 to 9.167.14.1909.167.14.19114
2379.167.14.192/289.167.14.193 to 9.167.14.2069.167.14.20714
2389.167.14.208/289.167.14.209 to 9.167.14.2229.167.14.22314
2399.167.14.224/289.167.14.225 to 9.167.14.2389.167.14.23914
2409.167.14.240/289.167.14.241 to 9.167.14.2549.167.14.25514
2419.167.15.0/289.167.15.1 to 9.167.15.149.167.15.1514
2429.167.15.16/289.167.15.17 to 9.167.15.309.167.15.3114
2439.167.15.32/289.167.15.33 to 9.167.15.469.167.15.4714
2449.167.15.48/289.167.15.49 to 9.167.15.629.167.15.6314
2459.167.15.64/289.167.15.65 to 9.167.15.789.167.15.7914
2469.167.15.80/289.167.15.81 to 9.167.15.949.167.15.9514
2479.167.15.96/289.167.15.97 to 9.167.15.1109.167.15.11114
2489.167.15.112/289.167.15.113 to 9.167.15.1269.167.15.12714
2499.167.15.128/289.167.15.129 to 9.167.15.1429.167.15.14314
2509.167.15.144/289.167.15.145 to 9.167.15.1589.167.15.15914
2519.167.15.160/289.167.15.161 to 9.167.15.1749.167.15.17514
2529.167.15.176/289.167.15.177 to 9.167.15.1909.167.15.19114
2539.167.15.192/289.167.15.193 to 9.167.15.2069.167.15.20714
2549.167.15.208/289.167.15.209 to 9.167.15.2229.167.15.22314
2559.167.15.224/289.167.15.225 to 9.167.15.2389.167.15.23914
2569.167.15.240/289.167.15.241 to 9.167.15.2549.167.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses